QGIS Application - Bug report #8861
symbology: gap between polygons when using "no pen" for border style
2013-10-16 12:45 AM - Jeff Moyen

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 17542
Description

Good morning,

(win 7 / QGIS 2.0.1 64b)

The attached image shows a raster (coloured using a spectral colmap, very nice); on top of the raster, a vector layer (from a postGIS base
but a quick test with the shp reveals the same issue).

The vector's symbology is attached; the polygons have white background, no border (yes they are adjacent, the topology is broadly
correct, adjacent pgones do share the same vertices). Yet, is is possible to see a small gap between the polygon, and see the colour of
the raster below. In this specific case it's annoying, because I'm trying to use this layer to mask part of the image below, and | really do
not want to se the pgones borders... | would expect (as 1.8 did, | believe) a uniformly white blanket...

Thanks

History

#1 - 2013-10-16 12:46 AM - Jeff Moyen
- File see_through.png added

Sorry | forgot to attache the other file, my aplogies...

#2 - 2013-10-16 03:28 AM - Giovanni Manghi

- Subject changed from Gap between polygons to symbology: gap between polygons when using "no pen" for border style

- Category set to Symbology

This is an old issue, but | don't think it was working in qgis 1.8. If I'm not wrong | think that it is not even a qgis issue after all.

Anyway a workaround is to actually use a border line with border width >= 0, with the same color of the polygons, in your configuration you choose "no

pen".

#3 - 2013-10-16 08:51 AM - Jeff Moyen

You're actually right, it does not work in 1.8 either. | had in mind an old map of me, | must have been using the same workaround already then... or

post-processed in illustrator or something perhaps.
#4 - 2017-05-01 01:09 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#5 - 2018-03-01 12:28 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#6 - 2018-08-16 11:07 AM - Giovanni Manghi
- Resolution set to not reproducable

- Description updated

- Status changed from Feedback to Closed

Closing for lack of feedback.
